Subject: Re: bug#22975: 25.0.92; CANNOT_DUMP build can't start in tty mode

From: martin rudalics <[email-masked]>
Date: Sun, 13 Mar 2016 21:09:26 +0100

>>   > In tty mode, the CANNOT_DUMP version get stuck in a loop at startup
 >>   > complaining that internal-echo-keystrokes-prefix isn’t defined.  If I
 >>   > set a breakpoint on Fsignal, it’s first complaining about
 >>   > window--resize-root-window-vertically when trying to display the long
 >>   > load path, presumably terminating the processing of loadup.el;
 >>
 >> Can you please try adding a placeholder function like Paul did with
 >> Fframe_windows_min_size and Fwindow__sanitize_window_sizes.
 >
 > How can we know what these placeholders should do, without seeing
 > which code calls them?

The idea was that if Ken's assumption is right that complaining about
window--resize-root-window-vertically terminates the processing of
loadup.el, then such a placeholder function (that would do nothing)
would have allowed it to proceed ...

martin